Page MenuHomePhabricator

Whether a data type should be treated as a reference type in RDF should be defined in WikibaseRepo.datatypes.php
Closed, ResolvedPublic

Description

Currently, there is a hard coded list in RdfBuilder that determines which data type is a reference types (as per Iaf79a0012e6, that list is in PropertyRdfBuilder). This makes it impossible for extensions to declare additional reference types. Instead, the list of reference types should come from the DatatypeDefinitions class, which encapsulates the information from WikibaseRepo.datatypes.php.

Event Timeline

daniel created this task.Apr 2 2017, 4:26 PM
Restricted Application added a project: Discovery. · View Herald TranscriptApr 2 2017, 4:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher triaged this task as Normal priority.May 5 2017, 2:27 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.

Change 521981 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Move decision about reference types to WikibaseRepo.datatypes.php

https://gerrit.wikimedia.org/r/521981

Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Jul 11 2019, 6:46 AM

Change 521981 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move decision about reference types to WikibaseRepo.datatypes.php

https://gerrit.wikimedia.org/r/521981

Smalyshev moved this task from In review to Done on the User-Smalyshev board.
Smalyshev closed this task as Resolved.Aug 15 2019, 5:41 AM